### Hierarchy

- Uaas
  - UaasService

## Index

### Constructors

- constructor

### Properties

- _type
- api
- authenticated
- config
- dev
- errorMessage
- id

### Accessors

- applications
- type
- instance

### Methods

- init
- login
- logout
- onLoginFailure
- onLoginSucces

## Constructors

### constructor

- new UaasService(enforcer: any): UaasService

- Overrides Uaas.constructor

  - Defined in uaas/uaas-service.ts:8

  #### Parameters

  - ##### enforcer: any

  #### Returns UaasService

## Properties

### _type

_type: string

- Defined in uaas/uaas-service.ts:8

### api

api: Api

Inherited from Uaas.api

- Defined in uaas/uaas.ts:8

### authenticated

authenticated: boolean = false

Inherited from Uaas.authenticated

- Defined in uaas/uaas.ts:9

### config

config: any

Inherited from Uaas.config

- Defined in uaas/uaas.ts:7

### dev

dev: boolean = false

Inherited from Uaas.dev

- Defined in uaas/uaas.ts:10

### errorMessage

errorMessage: string = ""

Inherited from Uaas.errorMessage

- Defined in uaas/uaas.ts:11

### id

id: string

Inherited from Uaas.id

- Defined in uaas/uaas.ts:6

## Accessors

### applications

- get applications(): object

- Inherited from Uaas.applications

  - Defined in uaas/uaas.ts:79

  #### Returns object

  - ##### e-be: object

    - ##### api_headers: object[]

    - ##### api_routes: (object | object | object)[]

    - ##### api_routes_dev: object[]

    - ##### corsMode: string

    - ##### requestCredentials: string

    - ##### swaggerUrl: string

    - ##### suitecrm: object

      - ##### API_URL: string

      - ##### DEV_URL: string

      - ##### IDP_URL: string

      - ##### PROD_URL: string

  - ##### e-nl: object

    - ##### api_headers: object[]

    - ##### api_routes: (object | object | object)[]

    - ##### api_routes_dev: object[]

    - ##### corsMode: string

    - ##### requestCredentials: string

    - ##### swaggerUrl: string

    - ##### suitecrm: object

      - ##### API_URL: string

      - ##### DEV_URL: string

      - ##### PROD_URL: string

### type

- get type(): string
- set type(value: string): void

- - Defined in uaas/uaas-service.ts:25

  #### Returns string

- - Defined in uaas/uaas-service.ts:29

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in uaas/uaas-service.ts:18

  #### Returns any

## Methods

### init

- init(id: string): Promise<void>

- Inherited from Uaas.init

  - Defined in uaas/uaas.ts:17

  #### Parameters

  - ##### id: string

  #### Returns Promise<void>

### login

- login(event: any): Promise<void>

- Inherited from Uaas.login

  - Defined in uaas/uaas.ts:43

  #### Parameters

  - ##### event: any

  #### Returns Promise<void>

### logout

- logout(): Promise<void>

- Inherited from Uaas.logout

  - Defined in uaas/uaas.ts:54

  #### Returns Promise<void>

### onLoginFailure

- onLoginFailure(result: any): void

- Inherited from Uaas.onLoginFailure

  - Defined in uaas/uaas.ts:65

  #### Parameters

  - ##### result: any

  #### Returns void

### onLoginSucces

- onLoginSucces(result: any): void

- Inherited from Uaas.onLoginSucces

  - Defined in uaas/uaas.ts:60

  #### Parameters

  - ##### result: any

  #### Returns void